Alokai

SapccApiGetAllPagesWithUserRequest

Request parameters for getAllPagesWithUser operation in SapccApi. SapccApiGetAllPagesWithUserRequest

interface SapccApiGetAllPagesWithUserRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: GetAllPagesWithUserFieldsEnum;
	readonly pageSize?: number;
	readonly pageType?: GetAllPagesWithUserPageTypeEnum;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetAllPagesWithUser
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetAllPagesWithUser
fieldsOptionalGetAllPagesWithUserFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetAllPagesWithUser
pageSizeOptionalnumberNumber of results returned per page. Default value: 10. {number} SapccApiGetAllPagesWithUser
pageTypeOptionalGetAllPagesWithUserPageTypeEnumPage type. {'ContentPage' | 'ProductPage' | 'CategoryPage' | 'CatalogPage'} SapccApiGetAllPagesWithUser
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetAllPagesWithUser
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetAllPagesWithUser

Referenced Types

On this page